/general_info/active

Get active general info

Returns the general info active at the given timestamp

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
atinteger:int64YesUnix timestamp
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/general_info/active?at=1' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
app.GeneralInfoapplication/json
Example
{
  "active_since": 123,
  "address": {...},
  "ceo_first_name": "string",
  "ceo_last_name": "string",
  "commercial_register_id_a": "string",
  "commercial_register_id_b": "string",
  "commercial_register_location": "string",
  "company_ceo_ceos": "string",
  "company_ceo_commercial_register_id_b": "string",
  "company_ceo_commercial_register_location": "string",
  "company_ceo_headquarters": "string",
  "company_ceo_name": "string",
  "company_ceo_supervisory_board_chairman": "string",
  "company_headquarters": "string",
  "company_name": "string",
  "date_created": 123,
  "date_modified": 123,
  "email": "string",
  "fax": "string",
  "homepage": "string",
  "id": 123,
  "legal_form": "ohg",
  "legal_form_addition": "string",
  "other_ceos": "string",
  "phone": "string",
  "return_to_sender": "string",
  "sepa_id": "string",
  "supervisory_board_chairman": "string",
  "tax_id": "string",
  "vat_ids": [
    "string"
  ]
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}